# Error codes

All API responses are in JSON format. A `result` field, with a value of `success` or `error` is returned with each request. In the event of an error, a `message` field will provide an error message.

**HTTP error codes**

The Kaiko platform API uses the following error codes:

| Error Code | Meaning                                                                                                                                                                  |
| ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| 400        | Bad Request                                                                                                                                                              |
| 401        | Unauthorized -- You are not authenticated properly. See [Authentication](https://docs.kaiko.com/#authentication)[.](/rest-api/general/getting-started/authentication.md) |
| 403        | Forbidden -- You don't have access to the requested resource.                                                                                                            |
| 404        | Not Found                                                                                                                                                                |
| 405        | Method Not Allowed                                                                                                                                                       |
| 406        | Not Acceptable                                                                                                                                                           |
| 429        | Rate limit reached                                                                                                                                                       |
| 500        | Internal Server Error -- We had a problem with our service. Try again later.                                                                                             |
| 503        | Service Unavailable -- We're temporarily offline for maintenance.                                                                                                        |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/rest-api/general/getting-started/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
